Bug 180201 - port update: irc/ircd-hybrid
Summary: port update: irc/ircd-hybrid
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-02 14:40 UTC by Nick Hilliard
Modified: 2013-11-10 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (15.55 KB, patch)
2013-07-02 14:40 UTC, Nick Hilliard
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Hilliard 2013-07-02 14:40:00 UTC
1. upgrade to 8.1.3
2. fix startup script daemon location
3. fix startup script pidfile
4. convert to using port OPTIONS
Comment 1 Edwin Groothuis freebsd_committer 2013-07-03 01:07:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->db

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski freebsd_committer 2013-11-10 14:08:48 UTC
Responsible Changed
From-To: db->wg

I'll take it.
Comment 3 William Grzybowski freebsd_committer 2013-11-10 14:12:20 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-11-10 14:12:27 UTC
Author: wg
Date: Sun Nov 10 14:12:16 2013
New Revision: 333398
URL: http://svnweb.freebsd.org/changeset/ports/333398

Log:
  irc/ircd-hybrid: update to 8.1.3
  
  - Update to 8.1.3 [1]
  - Convert to options ng [1]
  - USES gmake
  - Remove leading article from COMMENT
  - Use options helpers
  - Allow staging
  
  PR:		ports/180201 [1]
  Submitted by:	Nick Hilliard <nick foobar.org>
  Approved by:	db (maintainer timeout, 4 months)

Modified:
  head/irc/ircd-hybrid/Makefile
  head/irc/ircd-hybrid/distinfo
  head/irc/ircd-hybrid/files/ircd-hybrid.in
  head/irc/ircd-hybrid/files/pkg-message.in
  head/irc/ircd-hybrid/pkg-plist

Modified: head/irc/ircd-hybrid/Makefile
==============================================================================
--- head/irc/ircd-hybrid/Makefile	Sun Nov 10 14:10:56 2013	(r333397)
+++ head/irc/ircd-hybrid/Makefile	Sun Nov 10 14:12:16 2013	(r333398)
@@ -2,18 +2,17 @@
 # $FreeBSD$
 
 PORTNAME=	ircd-hybrid
-PORTVERSION=	8.0.4
+PORTVERSION=	8.1.3
 CATEGORIES=	irc ipv6
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	db@FreeBSD.org
-COMMENT=	A fast irc daemon with a number of new features
+COMMENT=	Fast irc daemon with a number of new features
 
-MAN8=		ircd.8
 INSTALL_IGNORES=	ircu-* ircd-rat* charby*
 
-USE_GMAKE=	yes
+USES=		gmake
 GNU_CONFIGURE=	yes
 
 USERS=		ircd
@@ -21,33 +20,28 @@ GROUPS=		${USERS}
 
 USE_RC_SUBR=	ircd-hybrid
 SUB_FILES=	pkg-message
-PLIST_SUB+=	PORTVERSION=${PORTVERSION}
+PLIST_SUB=	PORTVERSION=${PORTVERSION}
 
-#
-# User Configurable Variables
-#
-# PREFIX		- Where to install ircd-hybrid. Default is /usr/local
-# WITH_OPENSSL	- Enable openssl. Allows use of CHALLENGE and encrypted links.
-# WITHOUT_ASSERT	- Disable parts of the debugging code.
-# WITH_HALFOPS		- Enable halfops on the server.
-# NICKLEN		- Nick length. Default is 9. Must be consistant across the network.
+OPTIONS_DEFINE=	OPENSSL HALFOPS ASSERT
+OPTIONS_DEFAULT=OPENSSL
 
-.if defined(PREFIX)
-CONFIGURE_ARGS+=	--prefix=${PREFIX}
-.endif
+ASSERT_CONFIGURE_ENABLE=	assert
+ASSERT_DESC=	Enable halfops on the server
+
+HALFOPS_CONFIGURE_ENABLE=	halfops
+HALFOPS_DESC=	Enable parts of the debugging code
+
+OPENSSL_DESC=	Enable openssl - allows use of CHALLENGE and encrypted links
+
+.include <bsd.port.options.mk>
 
-.if defined(WITH_OPENSSL)
+.if ${PORT_OPTIONS:MOPENSSL}
 USE_OPENSSL=	yes
 CONFIGURE_ARGS+=	--enable-openssl=${OPENSSLBASE}
 .endif
 
-.if defined(WITH_HALFOPS)
-CONFIGURE_ARGS+=	--enable-halfops
-.endif
-
-.if defined(WITHOUT_ASSERT)
-CONFIGURE_ARGS+=	--disable-assert
-.endif
+# User Configurable Variables
+# NICKLEN		- Nick length. Default is 9. Must be consistant across the network.
 
 .if defined(NICKLEN)
 CONFIGURE_ARGS+=	--with-nicklen=${NICKLEN}
@@ -55,20 +49,7 @@ CONFIGURE_ARGS+=	--with-nicklen=${NICKLE
 
 CONFIGURE_ARGS+=	\
 	--sysconfdir=${PREFIX}/etc/ircd-hybrid \
-	--prefix=${LOCAL} \
-	--datarootdir=${PREFIX}/share/${PORTNAME}-${PORTVERSION}
-
-NO_STAGE=	yes
-pre-su-install:
-	${MKDIR} ${PREFIX}/etc/ircd-hybrid ${PREFIX}/share/${PORTNAME}-${PORTVERSION}
-	${MKDIR} ${PREFIX}/share/${PORTNAME}-${PORTVERSION}/help/
-
-post-install:
-	${MKDIR} /var/run/ircd
-	${CHOWN} ircd:ircd /var/run/ircd
-	${INSTALL_SCRIPT} ${WRKSRC}/doc/example.quick.conf ${PREFIX}/etc/ircd-hybrid
-	${INSTALL_SCRIPT} ${WRKSRC}/doc/example.efnet.conf ${PREFIX}/etc/ircd-hybrid
-	${INSTALL_SCRIPT} ${WRKSRC}/doc/example.conf ${PREFIX}/etc/ircd-hybrid
-	@${CAT} ${PKGMESSAGE}
+	--datarootdir=${PREFIX}/share/${PORTNAME}-${PORTVERSION} \
+	--localstatedir=/var
 
 .include <bsd.port.mk>

Modified: head/irc/ircd-hybrid/distinfo
==============================================================================
--- head/irc/ircd-hybrid/distinfo	Sun Nov 10 14:10:56 2013	(r333397)
+++ head/irc/ircd-hybrid/distinfo	Sun Nov 10 14:12:16 2013	(r333398)
@@ -1,2 +1,2 @@
-SHA256 (ircd-hybrid-8.0.4.tgz) = f735dd9cb84cccd80ec871ee4d3ac9cee21a58eb283a72556833b7bd7081ba12
-SIZE (ircd-hybrid-8.0.4.tgz) = 1203721
+SHA256 (ircd-hybrid-8.1.3.tgz) = ea1efec0ab55e5f77282dad9e27b25a79090bac82b87d8282135f37733fe356b
+SIZE (ircd-hybrid-8.1.3.tgz) = 1127868

Modified: head/irc/ircd-hybrid/files/ircd-hybrid.in
==============================================================================
--- head/irc/ircd-hybrid/files/ircd-hybrid.in	Sun Nov 10 14:10:56 2013	(r333397)
+++ head/irc/ircd-hybrid/files/ircd-hybrid.in	Sun Nov 10 14:12:16 2013	(r333398)
@@ -16,20 +16,22 @@
 name="ircd_hybrid"
 rcvar=ircd_hybrid_enable
 
-command=/usr/local/bin/ircd
-pidfile=/var/run/ircd/ircd.pid
-required_files=/usr/local/etc/ircd-hybrid/ircd.conf
+command=/usr/local/sbin/ircd
 
 start_precmd=pid_touch
 stop_postcmd=pid_rm
 
-[ -z "$ircd_hybrid_enable" ] && ircd_hybrid_enable=NO
-[ -z "$ircd_hybrid_user" ] && ircd_hybrid_user=ircd
+load_rc_config ${name}
 
-load_rc_config $name
+pidfile=${ircd_hybrid_pidfile-"/var/run/ircd/ircd.pid"}
+: ${ircd_hybrid_enable:="NO"}
+: ${ircd_hybrid_user:="ircd"}
+: ${ircd_hybrid_config:="%%PREFIX%%/etc/ircd-hybrid/ircd.conf"}
+: ${ircd_hybrid_flags=" -pidfile ${pidfile}"}
 
 pid_touch ()
 {
+    install -d -o ${ircd_hybrid_user} ${pidfile%/*} /var/log/ircd
     touch $pidfile
     chown $ircd_hybrid_user $pidfile
 }

Modified: head/irc/ircd-hybrid/files/pkg-message.in
==============================================================================
--- head/irc/ircd-hybrid/files/pkg-message.in	Sun Nov 10 14:10:56 2013	(r333397)
+++ head/irc/ircd-hybrid/files/pkg-message.in	Sun Nov 10 14:12:16 2013	(r333398)
@@ -3,7 +3,7 @@ ircd-hybrid has now been installed.
 *** IMPORTANT: ***
 Please read the INSTALL file for more information.
 
-You should now copy %%PREFIX%%/etc/ircd-hybrid/example.conf to
+You should now copy %%PREFIX%%/etc/ircd-hybrid/reference.conf to
 %%PREFIX%%/etc/ircd-hybrid/ircd.conf, and then edit to suit your needs.
 ircd-hybrid will not start without %%PREFIX%%/etc/ircd-hybrid/ircd.conf
 

Modified: head/irc/ircd-hybrid/pkg-plist
==============================================================================
--- head/irc/ircd-hybrid/pkg-plist	Sun Nov 10 14:10:56 2013	(r333397)
+++ head/irc/ircd-hybrid/pkg-plist	Sun Nov 10 14:12:16 2013	(r333398)
@@ -1,8 +1,6 @@
 bin/mkpasswd
 bin/respond
-%%ETCDIR%%/example.conf
-%%ETCDIR%%/example.efnet.conf
-%%ETCDIR%%/example.quick.conf
+%%ETCDIR%%/reference.conf
 lib/ircd-hybrid/modules/autoload/m_accept.la
 lib/ircd-hybrid/modules/autoload/m_accept.so
 lib/ircd-hybrid/modules/autoload/m_admin.la
@@ -13,6 +11,8 @@ lib/ircd-hybrid/modules/autoload/m_cap.l
 lib/ircd-hybrid/modules/autoload/m_cap.so
 lib/ircd-hybrid/modules/autoload/m_capab.la
 lib/ircd-hybrid/modules/autoload/m_capab.so
+lib/ircd-hybrid/modules/autoload/m_certfp.la
+lib/ircd-hybrid/modules/autoload/m_certfp.so
 lib/ircd-hybrid/modules/autoload/m_challenge.la
 lib/ircd-hybrid/modules/autoload/m_challenge.so
 lib/ircd-hybrid/modules/autoload/m_close.la
@@ -93,10 +93,6 @@ lib/ircd-hybrid/modules/autoload/m_svsni
 lib/ircd-hybrid/modules/autoload/m_svsnick.so
 lib/ircd-hybrid/modules/autoload/m_tburst.la
 lib/ircd-hybrid/modules/autoload/m_tburst.so
-lib/ircd-hybrid/modules/autoload/m_testline.la
-lib/ircd-hybrid/modules/autoload/m_testline.so
-lib/ircd-hybrid/modules/autoload/m_testmask.la
-lib/ircd-hybrid/modules/autoload/m_testmask.so
 lib/ircd-hybrid/modules/autoload/m_time.la
 lib/ircd-hybrid/modules/autoload/m_time.so
 lib/ircd-hybrid/modules/autoload/m_topic.la
@@ -115,6 +111,8 @@ lib/ircd-hybrid/modules/autoload/m_wallo
 lib/ircd-hybrid/modules/autoload/m_wallops.so
 lib/ircd-hybrid/modules/autoload/m_watch.la
 lib/ircd-hybrid/modules/autoload/m_watch.so
+lib/ircd-hybrid/modules/autoload/m_webirc.la
+lib/ircd-hybrid/modules/autoload/m_webirc.so
 lib/ircd-hybrid/modules/autoload/m_who.la
 lib/ircd-hybrid/modules/autoload/m_who.so
 lib/ircd-hybrid/modules/autoload/m_whois.la
@@ -149,114 +147,84 @@ lib/ircd-hybrid/modules/m_sjoin.la
 lib/ircd-hybrid/modules/m_sjoin.so
 lib/ircd-hybrid/modules/m_squit.la
 lib/ircd-hybrid/modules/m_squit.so
+man/man8/ircd.8.gz
 sbin/ircd
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/accept
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/admin
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/away
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/capab
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/challenge
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/close
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/cmode
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/connect
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/die
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/dline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/eob
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/error
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/etrace
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/gline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/gungline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/hash
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/help
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/index
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/info
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/invite
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/ison
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/join
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/kick
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/kill
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/kline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/knock
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/links
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/list
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/locops
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/lusers
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/map
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/module
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/motd
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/names
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/nick
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/notice
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/omotd
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/oper
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/operwall
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/part
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/pass
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/ping
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/pong
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/post
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/privmsg
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/quit
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/rehash
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/restart
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/resv
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/server
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/set
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/sjoin
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/squit
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/stats
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/svinfo
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/testgecos
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/testline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/testmask
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/time
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/topic
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/trace
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/uhelp
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/umode
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/undline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/ungline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/unkline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/unresv
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/unxline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/user
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/userhost
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/users
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/version
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/wallops
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/who
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/whois
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/whowas
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers/xline
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/users/index
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/users/info
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/users/notice
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/users/privmsg
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/users/stats
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/users/umode
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ayb.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/custom.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-brazilian_pt.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-bulgarian.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-croatian.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-danish.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-dutch.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-french.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-german.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-italian.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-norwegian.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-polish.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-romanian.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-russian.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-spanish.lang
-%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages/ircd-swedish.lang
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/accept
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/admin
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/away
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/capab
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/challenge
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/close
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/cmode
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/connect
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/die
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/dline
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/eob
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/error
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/etrace
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/gline
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/gungline
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/hash
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/help
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/index
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/info
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/invite
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/ison
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/join
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/kick
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/kill
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/kline
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/knock
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/links
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/list
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/locops
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/lusers
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/map
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/module
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/motd
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/names
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/nick
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/notice
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/oper
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/operwall
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/part
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/pass
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/ping
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/pong
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/post
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/privmsg
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/quit
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/rehash
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/restart
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/resv
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/server
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/set
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/sjoin
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/squit
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/stats
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/svinfo
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/time
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/topic
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/trace
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/umode
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/undline
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/unkline
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/unresv
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/unxline
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/user
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/userhost
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/users
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/version
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/wallops
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/who
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/whois
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/whowas
+%%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/xline
 @dirrm lib/ircd-hybrid/modules/autoload
 @dirrm lib/ircd-hybrid/modules
 @dirrm lib/ircd-hybrid
-@dirrm %%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/messages
-@dirrm %%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/users
-@dirrm %%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help/opers
-@dirrm %%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help
-@dirrm %%DATADIR%%-%%PORTVERSION%%/ircd-hybrid
-@dirrm %%DATADIR%%-%%PORTVERSION%%/help
-@dirrm %%DATADIR%%-%%PORTVERSION%%
+@dirrmtry %%DATADIR%%-%%PORTVERSION%%/ircd-hybrid/help
+@dirrmtry %%DATADIR%%-%%PORTVERSION%%/ircd-hybrid
+@dirrmtry %%DATADIR%%-%%PORTVERSION%%/help
+@dirrmtry %%DATADIR%%-%%PORTVERSION%%
 @dirrm %%ETCDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"